# font.c File Reference

## Functions

MFont * | mfont ()
| Create a new font.
MFont * | mfont_parse_name (const char *name, MSymbol format)
| Create a font by parsing a fontname.
char * | mfont_unparse_name (MFont *font, MSymbol format)
| Create a fontname from a font.
MFont * | mfont_copy (MFont *font)
| Make a copy of a font.
void * | mfont_get_prop (MFont *font, MSymbol key)
| Get a property value of a font.
int | mfont_put_prop (MFont *font, MSymbol key, void *val)
| Put a property value to a font.
MSymbol * | mfont_selection_priority ()
| Return the font selection priority.
int | mfont_set_selection_priority (MSymbol *keys)
| Set the font selection priority.
MFont * | mfont_find (MFrame *frame, MFont *spec, int *score, int max_size)
| Find a font.
int | mfont_set_encoding (MFont *font, MSymbol encoding_name, MSymbol repertory_name)
| Set encoding of a font.
char * | mfont_name (MFont *font)
| Create a fontname from a font.
MFont * | mfont_from_name (const char *name)
| Create a new font from fontname.
int | mfont_resize_ratio (MFont *font)
| Get resize information of a font.
MPlist * | mfont_list (MFrame *frame, MFont *font, MSymbol language, int maxnum)
| Get a list of fonts.
MPlist * | mfont_list_family_names (MFrame *frame)
| Get a list of font famiy names.
int | mfont_check (MFrame *frame, MFontset *fontset, MSymbol script, MSymbol language, MFont *font)
| Check the usability of a font.
int | mfont_match_p (MFont *font, MFont *spec)
| Check is a font matches with a font spec.
MFont * | mfont_open (MFrame *frame, MFont *font)
| Open a font.
MFont * | mfont_encapsulate (MFrame *frame, MSymbol data_type, void *data)
| Encapusulate a font.
int | mfont_close (MFont *font)
| Close a font.
MFont * | mdebug_dump_font (MFont *font)
| Dump a font.

## Variables

MPlist * | mfont_freetype_path
| List of font files and directories that contain font files.
Variables: Keys of font property.
MSymbol | Mfoundry
| Key of font property specifying foundry.
MSymbol | Mfamily
| Key of font property specifying family.
MSymbol | Mweight
| Key of font property specifying weight.
MSymbol | Mstyle
| Key of font property specifying style.
MSymbol | Mstretch
| Key of font property specifying stretch.
MSymbol | Madstyle
| Key of font property specifying additional style.
MSymbol | Mspacing
| Key of font property specifying spacing.
MSymbol | Mregistry
| Key of font property specifying registry.
MSymbol | Msize
| Key of font property specifying size.
MSymbol | Motf
| Key of font property specifying file name.
MSymbol | Mfontfile
| Key of font property specifying file name.
MSymbol | Mresolution
| Key of font property specifying resolution.
MSymbol | Mmax_advance
| Key of font property specifying max advance width.
MSymbol | Mfontconfig
| Symbol of name "fontconfig".
MSymbol | Mx
| Symbol of name "x".
MSymbol | Mfreetype
| Symbol of name "freetype".
MSymbol | Mxft
| Symbol of name "xft".